<template>
    <div>
        <div class="flex justify-between mt-10 w-3/5 mx-auto">
            <div class="flex">
                <img src="~/public/plant 1.svg" class="w-20 color" alt="My Site"/>
                <h1 class="k2d text-5xl color h-fit">Arosaje</h1>
            </div>
            <div class="flex justify-between w-1/4 lilita text-2xl text-center">
                <div class="w-fit my-auto">
                    <NuxtLink to="/">Home</NuxtLink>
                    <div class="h-2 w-full rounded" :class="{'bg-green-600': isRouteActive('/')}"></div>
                </div>
                <div class="w-fit my-auto">
                    <NuxtLink to="/contact">Contact</NuxtLink>
                    <div class="h-2 w-full rounded" :class="{'bg-green-600': isRouteActive('/contact')}"></div>
                </div>
                <div class="w-fit my-auto">
                    <NuxtLink to="/team">Team</NuxtLink>
                    <div class="h-2 w-full rounded" :class="{'bg-green-600': isRouteActive('/team')}"></div>
                </div>
                <div :class="{'box2 ': !darkmode}" class="box flex" @click="changeMode()">
                    <svg v-if="darkmode" xmlns="http://www.w3.org/2000/svg" class="ionicon w-6 my-auto" viewBox="0 0 512 512" fill="white" >
                        <path d="M256 118a22 22 0 01-22-22V48a22 22 0 0144 0v48a22 22 0 01-22 22zM256 486a22 22 0 01-22-22v-48a22 22 0 0144 0v48a22 22 0 01-22 22zM369.14 164.86a22 22 0 01-15.56-37.55l33.94-33.94a22 22 0 0131.11 31.11l-33.94 33.94a21.93 21.93 0 01-15.55 6.44zM108.92 425.08a22 22 0 01-15.55-37.56l33.94-33.94a22 22 0 1131.11 31.11l-33.94 33.94a21.94 21.94 0 01-15.56 6.45zM464 278h-48a22 22 0 010-44h48a22 22 0 010 44zM96 278H48a22 22 0 010-44h48a22 22 0 010 44zM403.08 425.08a21.94 21.94 0 01-15.56-6.45l-33.94-33.94a22 22 0 0131.11-31.11l33.94 33.94a22 22 0 01-15.55 37.56zM142.86 164.86a21.89 21.89 0 01-15.55-6.44l-33.94-33.94a22 22 0 0131.11-31.11l33.94 33.94a22 22 0 01-15.56 37.55zM256 358a102 102 0 11102-102 102.12 102.12 0 01-102 102z"/>
                    </svg>
                    <svg v-if="darkmode == false" xmlns="http://www.w3.org/2000/svg" class="ionicon w-6 my-auto" viewBox="0 0 512 512">
                        <path d="M264 480A232 232 0 0132 248c0-94 54-178.28 137.61-214.67a16 16 0 0121.06 21.06C181.07 76.43 176 104.66 176 136c0 110.28 89.72 200 200 200 31.34 0 59.57-5.07 81.61-14.67a16 16 0 0121.06 21.06C442.28 426 358 480 264 480z"/>
                    </svg>
                </div>
            </div>
        </div>
        <div class="plant">
            <img src="~/public/plant-deco.png" class="w-60"  alt="My Site"/>
        </div>
    <slot />
  </div>
</template>

<script setup lang="ts">
import { ref, watch, onMounted } from 'vue';
import { useDarkModeStore } from '~/stores/myStore';
import { storeToRefs } from 'pinia';
import { useRoute } from 'vue-router';

const route = useRoute();
const actualRoute = ref(route.path);

watch(route, (to, from) => {
    actualRoute.value = to.path;
});

const isRouteActive = computed(() => (routePath: string) => {
    return actualRoute.value === routePath;
});


const store = useDarkModeStore();
const { toggleDarkMode } = store;
const { getIsDarkMode } = storeToRefs(store);

var darkmode = ref(false);

const changeMode = () => {
    darkmode.value = getIsDarkMode.value;
    store.toggleDarkMode();
}

watch(getIsDarkMode, (newValue) => {
    darkmode.value = newValue;
});

// Check browser's dark mode preference when the component is mounted
onMounted(() => {
    darkmode.value = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches;
});
</script>


<style>
@import url('https://fonts.googleapis.com/css2?family=Lilita+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=K2D:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&family=Lilita+One&display=swap');



.color {
    height: 55px;
    display: inline-block;
    background: linear-gradient(to left, rgb(99, 219, 129),rgb(13, 131, 40));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.sun{
    color: red; /* Change the color here */
    fill: cyan;
}
.box {
    padding: 4px;
    border: 1px solid white;
    border-radius: 8px;
    height: fit-content;
    margin-top: auto;
    margin-bottom: auto;
}
.box2 {
    border-color: black;
}
img{
    color: transparent !important;
}
.plant{
    position: absolute;
    top: 0;
    right: 5vw;
}
</style>